/*ALL BUTTONS*/
.button {
    border: none;
    border-radius: 5px;
    padding: 3px 10px;
    font-size: 16px;
    font-family: monospace;
    color: white;

}
.button:focus {
    outline: none;
}

/*PRIMARY BUTTON*/
.button-primary {
    box-shadow: 0px 0px 2px 1px dodgerblue;
    background: dodgerblue;
}
.button-primary:hover, .button-primary:focus {
    background-color: royalblue;
}

/*DISABLE BUTTON*/
.button-disabled {
    box-shadow: 0px 0px 2px 1px darkslategray;
    background-color: darkslategray;
}
.button-disabled:hover, .button-disabled:focus {
    background-color: darkslategray;
    cursor: not-allowed;
}

.button-disabled-2 {
    box-shadow: 0px 0px 2px 1px darkgrey;
    color: darkgrey;
    background-color: transparent;
}
.button-disabled-2:hover, .button-disabled-2:focus {
    background-color: transparent;
    cursor: not-allowed;
}

/*CANCEL BUTTON*/
.button-cancel {
    box-shadow: 0 0 2px 1px firebrick;
    background: firebrick;
}
.button-cancel:hover, .button-cancel:focus {
    background-color: darkred;
}

/*SECONDARY BUTTON*/
.button-secondary {
    box-shadow: 0px 0px 2px 1px dodgerblue;
    color: dodgerblue;
    background: transparent;
}
.button-secondary:hover, .button-secondary:focus {
    box-shadow: 0px 0px 2px 1px royalblue;
    color: royalblue;
}

/*REMOVE BUTTON*/
.button-remove {
    box-shadow: 0 0 2px 1px orangered;
    color: orangered;
    background: transparent;
}

.button-remove:hover, .button-remove:focus {
    box-shadow: 0 0 2px 1px firebrick;
    color: firebrick;
}

/*SECONDARY GREEN BUTTON*/
.button-secondary-green {
    box-shadow: 0 0 2px 1px green;
    color: green;
    background: transparent;
}

.button-secondary-green:hover, .button-secondary-green:focus {
    box-shadow: 0 0 2px 1px darkgreen;
    color: darkgreen;
}

/*BUTTON WITH CLOSE ICON*/
.button-closeIcon{
    background: #dbdbdb;
    padding: 0 7px;
    font-size: 13px;
    margin: auto;
    color: darkgrey;
    border-radius: 100px;
    transition: 0.3s;
    font-weight: bolder;
}
.button-closeIcon:before{
    content: '-'
}
.button-closeIcon:hover{
    background: crimson;
    color: white;
    opacity: 0.9;
}
.button-closeIcon:hover:before{
    content: 'x';
}
.button-closeIcon:disabled{
    cursor: not-allowed;
}
.button-closeIcon:disabled:hover{
    background: #dbdbdb;
    color: darkgrey;
}

.button-closeIcon:active{
    background: darkred;
    color: whitesmoke;
}

/*BUTTON WITH BACK ICON*/
.button-back-icon{
    background: transparent;
    color: black;
    padding: 10px 20px;
    font-size: 20px;
    transition: 0.3s;
}
.button-back-icon:hover{
    color: dimgrey;
}

/*not used*/
.button-edit, .button-inputMultiple-selected {
    box-shadow: 0px 0px 2px 1px slateblue;
    color: white;
    background: slateblue;
}

.button-edit:hover, .button-edit:focus, .button-inputMultiple-selected:hover, .button-inputMultiple-selected:focus {
    background-color: darkslateblue;
}



.button-undo {
    box-shadow: 0px 0px 2px 1px navy;
    color: white;
    background-color: navy;
}

.button-undo:hover, .button-undo:focus {
    background-color: slateblue;
}

.button-component {
    border-radius: 0px;
    margin: 0px;
    padding: 10px 25px;
    border-right: 1px solid black;
    background-color: transparent;
}

.button-component-active, .button-component:hover, .button-component:focus {
    background-color: lightgrey;
}

.button-inputMultiple {
    box-shadow: 0px 0px 5px 0px grey;
    color: grey;
}

.button-inputMultiple:hover, .button-inputMultiple:focus {
    box-shadow: 0px 0px 5px 0px black;
    color: black;
}

.button-next {
    box-shadow: 0px 0px 5px 0px slateblue;
    color: slateblue;
    float: right;
    margin-right: 20px;
}

.button-next:hover, .button-next:focus {
    box-shadow: 0px 0px 5px 0px darkslateblue;
    color: darkslateblue;
}

.button-previous {
    box-shadow: 0px 0px 5px 0px purple;
    color: purple;
    float: left;
    margin-left: 20px;
}

.button-previous:hover, .button-previous:focus {
    box-shadow: 0px 0px 5px 0px rebeccapurple;
    color: rebeccapurple;
}

.button-showOrHide {
    /* background-color: transparent; */
    outline: none;
    /* border: none; */
    padding: 0px;
    margin: auto 10px auto -50px;
    /* padding-right: 26px; */
    text-align: left;
}

.button-temp {
    background-color: darkmagenta;
}

.button-userProfile {
    background-color: transparent;
    color: darkgray;
    margin: 0px;
    padding: 0px;
    height: 100%;
    width: 100%;
    border-radius: 0px;
}

.button-userProfile:hover {
    color: whitesmoke;
}